Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 23/04/2022, à 00:09

eric63

[Contourné] Prise en compte de manette compatible PS4 nacon

Salut
je suis un peu en galère avec ma manette nacon compatible PS4
Bref tout marche sauf le pad sensitif qui n’est pas reconnu du tout .
Pourtant il semble que la manette est prise totalement en compte dans le noyau ???
antimicrox ne prend pas en charge ce pad sensitif
et il y a un driver ds4drv qui existe mais j’ai eut beau suivre les recommandations et les commandes
https://doc.ubuntu-fr.org/dualshock#dualshock_4
mais pour l’instant c’est peine perdue

kubu@kubu:~$ ds4drv --hidraw --emulate-xboxdrv
Traceback (most recent call last):
  File "/usr/local/bin/ds4drv", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 3251, in <module>
    @_call_aside
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'evdev>=0.3.0' distribution was not found and is required by ds4drv
kubu@kubu:~$ 

P.s. je conseille, pour les avoir essayé physiquement, d’acheter des manettes sony PS4 ou PS5 et une cle bluethooth  compatible linux (permettant de gérer jusqu’à 7 périphériques)

Dernière modification par eric63 (Le 17/05/2022, à 16:34)


Kubuntu 22.04 - 64 bits + backports beta kde gear 22.04.3 = plasma 5.24.90 KDE 5.95.0 Qt 5.15.3 et noyau 5.15.0-39  4x intel i5-4570 3.2Ghz 12Go nvidia GTX 1060 6GB
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR de chez LDLC c‘est fort

Hors ligne

#2 Le 23/04/2022, à 06:57

xubu1957

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

Bonjour,

Tu as regardé les discussions du github.com/chrippa/ds4drv ou pypi.org/project/ds4drv ?

==============


Dans > askubuntu.com/questions/666266/ds4drv-not-working-on-ubuntu-15-04

The 'evdev>=0.3.0' distribution was not found and is required by ds4drv
Le 27/08/2015, Grumbel a écrit :

Essayer :

apt-get install python-evdev python3-evdev

Le message d'erreur indique simplement un package Python manquant ( evdev>=0.3.0 non trouvé).

==============

[HS]

Merci pour ton intervention. smile

Pour cette discussion > Brother HL-3070CW qui n'imprime plus avec Ubuntu, des conseils ?

[/HS]

Dernière modification par xubu1957 (Le 23/04/2022, à 08:39)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#3 Le 23/04/2022, à 10:01

eric63

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

merçi xubu1957
j’avance un peu
j’ai décoincé le paquet evdev en faisant la mise à jour vers 22.04 qui était non accessible avant dans mes sources dev (je crois bien que j’avais supprimés les lignes sources que je n’utilisais pas roll)
mais bon comme rien n‘est parfait dans ce monde
toujours pas de détection du pad sensitif dans antimicroX
lsusb reconnait au moins la manette

Bus 003 Device 019: ID 146b:0609 BigBen Interactive Wireless Controller for PS4

et la commande pour utiliser la manette avec le pad sensitif

ds4drv --hidraw
[info][controller 1] Created devices /dev/input/js2 (joystick) /dev/input/event29 (evdev) 
[info][hidraw] Scanning for devices

n’apporte rien de plus que cela

kubu@kubu:~$ ds4drv
[error][daemon] 'hcitool clock' returned error. Make sure your bluetooth device is powered up with 'hciconfig hciX up'.
kubu@kubu:~$ 

cette erreur, je ne sais pas la traiter


Kubuntu 22.04 - 64 bits + backports beta kde gear 22.04.3 = plasma 5.24.90 KDE 5.95.0 Qt 5.15.3 et noyau 5.15.0-39  4x intel i5-4570 3.2Ghz 12Go nvidia GTX 1060 6GB
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR de chez LDLC c‘est fort

Hors ligne

#4 Le 23/04/2022, à 10:08

xubu1957

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

Si tu vois une idée dans > forum.snapcraft.io/t/bluetooth-powered-on-on-boot/1391/7

ou dans github.com/chrippa/ds4drv/issues/16

avec :

systemctl status ds4drv

==============


Rajout > petrockblock.com/forums/topic/tutorial-retropie-with-dualshock-4-and-bluetooth

Dernière modification par xubu1957 (Le 23/04/2022, à 10:13)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#5 Le 23/04/2022, à 10:15

eric63

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

déjà ça indique que c’est pas bon je vais fouiller cette piste
sachant que le driver proposé date de 2016 et n’est plus forcément adéquat pour 22.04

kubu@kubu:~$ systemctl status ds4drv
Unit ds4drv.service could not be found.
kubu@kubu:~$ 

Kubuntu 22.04 - 64 bits + backports beta kde gear 22.04.3 = plasma 5.24.90 KDE 5.95.0 Qt 5.15.3 et noyau 5.15.0-39  4x intel i5-4570 3.2Ghz 12Go nvidia GTX 1060 6GB
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR de chez LDLC c‘est fort

Hors ligne

#6 Le 23/04/2022, à 10:21

xubu1957

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

Autre fil plus récent > github.com/chrippa/ds4drv/issues/172


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#7 Le 23/04/2022, à 10:27

eric63

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

Si tu vois une idée dans > forum.snapcraft.io/t/bluetooth-powered-on-on-boot/1391/7

j’ai poursuivi l’idée et ça coince là

kubu@kubu:~/ds4drv$ sudo mv 50-ds4drv.rules /etc/udev/rules.d/
kubu@kubu:~/ds4drv$ sudo udevadm control --reload-rules
kubu@kubu:~/ds4drv$ sudo udevadm trigger
kubu@kubu:~/ds4drv$ ds4drv --led 000008
[error][daemon] 'hcitool clock' returned error. Make sure your bluetooth device is powered up with 'hciconfig hciX up'.

j’ai pas rebooté


Kubuntu 22.04 - 64 bits + backports beta kde gear 22.04.3 = plasma 5.24.90 KDE 5.95.0 Qt 5.15.3 et noyau 5.15.0-39  4x intel i5-4570 3.2Ghz 12Go nvidia GTX 1060 6GB
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR de chez LDLC c‘est fort

Hors ligne

#8 Le 23/04/2022, à 10:28

xubu1957

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

Tu utilises le Bluetooth ?

Rajout > github-wiki-see.page/m/alexandersb/retropie-wiki-cn/wiki/Setting-up-a-PS4-controller

Dernière modification par xubu1957 (Le 23/04/2022, à 10:31)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#9 Le 23/04/2022, à 11:56

eric63

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

je suis en bluetooth
j’ai créé le fichier demandé
ça a avancé un peu de ce coté mais sans amélioration

kubu@kubu:~$ systemctl status ds4drv
× ds4drv.service - Start ds4drv after boot. Daemon to pair PS4 bluetooth controllers.
     Loaded: loaded (/lib/systemd/system/ds4drv.service; enabled; vendor preset: enabled)
     Active: failed (Result: exit-code) since Sat 2022-04-23 11:29:37 CEST; 26min ago
    Process: 1426 ExecStart=/usr/local/bin/ds4drv --led=000008 (code=exited, status=1/FAILURE)
   Main PID: 1426 (code=exited, status=1/FAILURE)
        CPU: 146ms

avril 23 11:29:37 kubu systemd[1]: ds4drv.service: Main process exited, code=exited, status=1/FAILURE
avril 23 11:29:37 kubu systemd[1]: ds4drv.service: Failed with result 'exit-code'.
avril 23 11:29:37 kubu systemd[1]: ds4drv.service: Scheduled restart job, restart counter is at 5.
avril 23 11:29:37 kubu systemd[1]: Stopped Start ds4drv after boot. Daemon to pair PS4 bluetooth controllers..
avril 23 11:29:37 kubu systemd[1]: ds4drv.service: Start request repeated too quickly.
avril 23 11:29:37 kubu systemd[1]: ds4drv.service: Failed with result 'exit-code'.
avril 23 11:29:37 kubu systemd[1]: Failed to start Start ds4drv after boot. Daemon to pair PS4 bluetooth controllers..
kubu@kubu:~$ 

Dernière modification par eric63 (Le 23/04/2022, à 11:59)


Kubuntu 22.04 - 64 bits + backports beta kde gear 22.04.3 = plasma 5.24.90 KDE 5.95.0 Qt 5.15.3 et noyau 5.15.0-39  4x intel i5-4570 3.2Ghz 12Go nvidia GTX 1060 6GB
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR de chez LDLC c‘est fort

Hors ligne

#10 Le 23/04/2022, à 12:02

xubu1957

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

sudo dmesg | grep -i bluetooth; sudo dmesg | grep -i firmware

donne un retour ?


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#11 Le 23/04/2022, à 14:20

eric63

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

kubu@kubu:~$ sudo dmesg | grep -i bluetooth; sudo dmesg | grep -i firmware
[sudo] Mot de passe de kubu : 
[    9.377777] Bluetooth: Core ver 2.22
[    9.377812] NET: Registered PF_BLUETOOTH protocol family
[    9.377814] Bluetooth: HCI device and connection manager initialized
[    9.377817] Bluetooth: HCI socket layer initialized
[    9.377819] Bluetooth: L2CAP socket layer initialized
[    9.377822] Bluetooth: SCO socket layer initialized
[   12.109421] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   12.109424] Bluetooth: BNEP filters: protocol multicast
[   12.109427] Bluetooth: BNEP socket layer initialized
[    0.118313] Spectre V2 : Enabling Restricted Speculation for firmware calls
[    0.148629] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[    0.167647] pci 0000:03:00.0: [Firmware Bug]: disabling VPD access (can't determine size of non-standard VPD format)
kubu@kubu:~$

que le dongle bluetooth soit branché seul ou avec le cable usb
et la manette en ordre de marche


Kubuntu 22.04 - 64 bits + backports beta kde gear 22.04.3 = plasma 5.24.90 KDE 5.95.0 Qt 5.15.3 et noyau 5.15.0-39  4x intel i5-4570 3.2Ghz 12Go nvidia GTX 1060 6GB
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR de chez LDLC c‘est fort

Hors ligne

#12 Le 23/04/2022, à 14:26

xubu1957

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

Je ne sais pas renseigner plus.

Il faudrait avoir l'avis d'abelthorne (absent depuis quelques semaines) ou de Nuliel.


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#13 Le 23/04/2022, à 15:08

eric63

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

merçi j’ai quand même pas mal avancé avec tes indices
je suis patient et en retraite donc …


Kubuntu 22.04 - 64 bits + backports beta kde gear 22.04.3 = plasma 5.24.90 KDE 5.95.0 Qt 5.15.3 et noyau 5.15.0-39  4x intel i5-4570 3.2Ghz 12Go nvidia GTX 1060 6GB
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR de chez LDLC c‘est fort

Hors ligne

#14 Le 23/04/2022, à 15:18

xubu1957

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

Je vais avertir Nuliel.


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#15 Le 23/04/2022, à 21:11

Nuliel

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

Hello,
C'est bizarre, dans le premier message on voit du python2.7, alors que c'est ultra périmé . Que donne

python --version
pip3 freeze

?

Dernière modification par Nuliel (Le 23/04/2022, à 21:11)


[ poster un retour de commande ] [ poster une photo ]
Thinkpad x220, Dell latitude E7270 (i7 6600U, 16 Go de RAM, ...), Thinkstation E32 modifié: i5-4570, GTX 1060 6 Gb, 16 Gb de RAM, ...
Mon nouveau blog: nuliel.fr

Hors ligne

#16 Le 23/04/2022, à 21:13

xubu1957

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

Salut !

Tu as regardé github.com/chrippa/ds4drv#dependencies ?


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#17 Le 23/04/2022, à 21:44

eric63

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

merçi Nuliel
voiçi les retours demandés
il me semblait que j’avais les 2 versions mais je vois que non

en regardant mes paquets installés avec muon j’ai bien plusieurs version de python 2 - 3 - 3.9 - 3.10
donc pas mal de versions

@kubu:~$ python --version
Python 2.7.18
kubu@kubu:~$ pip3 freeze
appdirs==1.4.4
apt-xapian-index==0.49
astropy==5.0.2
attrs==21.2.0
banking.statements.nordea==1.3.0
banking.statements.osuuspankki==1.3.4.dev0
beautifulsoup4==4.10.0
beniget==0.4.1
blinker==1.4
Brotli==1.0.9
bsddb3==6.2.9
cattrs==1.10.0
certifi==2020.6.20
cffi==1.15.0
chardet==4.0.0
click==8.0.3
colorama==0.4.4
command-not-found==0.3
configobj==5.0.6
cov-core==1.15.0
coverage==6.2
cryptography==3.4.8
cupshelpers==1.0
cycler==0.11.0
dbus-python==1.2.18
decorator==4.4.2
defer==1.0.6
distro==1.7.0
distro-info===1.1build1
docopt==0.6.2
et-xmlfile==1.0.1
evdev==1.4.0
ExifRead==2.3.2
f.lux indicator applet==1.1.11rc0
fonttools==4.29.1
fs==2.4.12
galternatives==1.0.8
gast==0.5.2
gattlib==0.20201113
getdevinfo==1.0.6
gpg===1.16.0-unknown
gramps==5.1.5
html5lib==1.1
httplib2==0.20.2
hypothesis==6.36.0
idna==3.3
img2pdf==0.4.2
importlib-metadata==4.6.4
iniconfig==1.1.1
input-remapper==1.4.2
jdcal==1.0
jeepney==0.7.1
keyman-config==14.0.287
keyring==23.5.0
kiwisolver==1.3.2
language-selector==0.1
launchpadlib==1.10.16
lazr.restfulclient==0.14.4
lazr.uri==1.0.6
lxml==4.8.0
lz4==3.1.3+dfsg
macaroonbakery==1.3.1
matplotlib==3.5.1
mock==4.0.3
more-itertools==8.10.0
mpmath==0.0.0
natsort==8.0.2
netifaces==0.11.0
nose2==0.9.2
numpy==1.21.5
oauthlib==3.2.0
ofxstatement==0.7.1
ofxstatement-airbankcz==0.0.5
ofxstatement-al-bank==0.2.1
ofxstatement-austrian==0.0.4
ofxstatement-be-argenta==1.0.5
ofxstatement-be-ing==0.1.1
ofxstatement-be-kbc==0.2.0
ofxstatement-be-keytrade==0.0.1
ofxstatement-be-triodos==0.0.1
ofxstatement-betterment==0.3.1
ofxstatement-bubbas==1.0.0
ofxstatement-consors==0.0.1
ofxstatement-czech==1.2.5
ofxstatement-dab==0.0.1
ofxstatement-de-ing==0.1.0
ofxstatement-de-triodos==0.0.1
ofxstatement-fineco==0.0.5
ofxstatement-germany-1822direkt==0.0.2
ofxstatement-germany-postbank==0.0.2
ofxstatement-intesasp==0.1.3
ofxstatement-is-arionbanki==0.0.1
ofxstatement-iso20022==0.5.1.dev0
ofxstatement-lansforsakringar==0.2.0
ofxstatement-latvian==1.3.2
ofxstatement-lfs==0.0.1
ofxstatement-lithuanian==1.2.1.dev0
ofxstatement-mbank.sk==0.0.1
ofxstatement-otp==0.0.6
ofxstatement-polish==0.0.1
ofxstatement-postfinance==0.0.1
ofxstatement-raiffeisencz==0.0.4
ofxstatement-russian==0.0.2
ofxstatement-seb==1.0.0
ofxstatement-simple==0.1.0
ofxstatement-unicreditcz==0.0.4
olefile==0.46
openpyxl==3.0.9
packaging==21.3
pbr==5.8.0
pdfarranger==1.8.2
pexpect==4.8.0
pikepdf==5.0.1+dfsg
Pillow==9.0.1
Pivy==0.6.5
pluggy==0.13.0
ply==3.11
protobuf==3.12.4
psutil==5.9.0
ptyprocess==0.7.0
py==1.10.0
PyAudio==0.2.11
PyBluez==0.23
pycairo==1.20.1
pycparser==2.21
pycryptodomex==3.11.0
pycups==2.0.1
pydantic==1.9.0
pydbus==0.6.0
pyerfa==2.0.0.1
pygame==2.1.2
Pygments==2.11.2
PyGObject==3.42.0
PyICU==2.8.1
PyJWT==2.3.0
pymacaroons==0.13.0
PyNaCl==1.5.0
pyparsing==2.4.7
PyQt5==5.15.6
PyQt5-sip==12.9.1
PyQtWebEngine==5.15.5
pyRFC3339==1.1
pysmbc==1.0.23
pytest==6.2.5
pytest-arraydiff==0.5.0
pytest-astropy==0.9.0
pytest-astropy-header==0.2.0
pytest-cov==3.0.0
pytest-doctestplus==0.11.2
pytest-filter-subpackage==0.1.1
pytest-mock==3.6.1
pytest-openfiles==0.5.0
pytest-remotedata==0.3.3
python-apt==2.3.0+ubuntu2
python-dateutil==2.8.1
python-debian===0.1.43ubuntu1
python-magic==0.4.24
pythran==0.10.0
pytz==2022.1
pyudev==0.22.0
pyxdg==0.27
PyYAML==5.4.1
qrcode==7.3.1
QtAwesome==1.1.1
QtPy==2.0.0
Rare==1.3.0
reportlab==3.6.8
requests==2.25.1
requests-cache==0.9.1
requests-oauthlib==1.3.0
requests-unixsocket==0.2.0
scipy==1.8.0
scour==0.38.2
screen-resolution-extra==0.0.0
screenkey==1.5
SecretStorage==3.3.1
sentry-sdk==1.4.3
setproctitle==1.2.2
simplejson==3.17.6
six==1.16.0
sortedcontainers==2.1.0
soupsieve==2.3.1
sympy==1.9
systemd-python==234
terminator==2.1.1
toml==0.10.2
typing_extensions==4.2.0
ubuntu-advantage-tools==27.7
ubuntu-drivers-common==0.0.0
ufoLib2==0.13.1
ufw==0.36.1
unattended-upgrades==0.1
unicodedata2==14.0.0
url-normalize==1.4.3
urllib3==1.26.5
usb-creator==0.3.7
wadllib==1.3.6
webencodings==0.5.1
websockets==9.1
wxPython==4.0.7
xdg==5
xkit==0.0.0
xlrd==1.2.0
zipp==1.0.0
kubu@kubu:~$ 

Dernière modification par eric63 (Le 23/04/2022, à 22:02)


Kubuntu 22.04 - 64 bits + backports beta kde gear 22.04.3 = plasma 5.24.90 KDE 5.95.0 Qt 5.15.3 et noyau 5.15.0-39  4x intel i5-4570 3.2Ghz 12Go nvidia GTX 1060 6GB
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR de chez LDLC c‘est fort

Hors ligne

#18 Le 23/04/2022, à 21:50

eric63

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

@ xubu1957
oui j’ai posé mes commandes en partie avec cette page
mais blueman (prévu pour gnome gtk) n’est pas ou plus requis par kde 5.24.4 car il y a un autre paquet qui le remplace


Kubuntu 22.04 - 64 bits + backports beta kde gear 22.04.3 = plasma 5.24.90 KDE 5.95.0 Qt 5.15.3 et noyau 5.15.0-39  4x intel i5-4570 3.2Ghz 12Go nvidia GTX 1060 6GB
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR de chez LDLC c‘est fort

Hors ligne

#19 Le 23/04/2022, à 22:47

xubu1957

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

C'était pour Nuliel !

Dependencies a écrit :

Python 2.7 or 3.3+ (for Debian/Ubuntu you need to install the python2.7-dev or python3.3-dev package)
python-setuptools
hcitool (usually available in the bluez-utils or equivalent package)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#20 Le 23/04/2022, à 23:29

Nuliel

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

En fait je pense que le problème que tu rencontres, c'est que tu as python qui pointe vers python2. Hors tu as installé evdev pour python3 et pas pour python2 (qui n'est plus supporté), donc ça peut pas marcher. Je proposerais bien d'installer python-is-python3 pour toujours partir sur python3 (y compris pour le système qui ne devrait pas avoir besoin de python2)

@xubu1957: le document proposant d'installer python2 ou python3 a été fait il y a 6 ans, avant que python2 soit périmé


[ poster un retour de commande ] [ poster une photo ]
Thinkpad x220, Dell latitude E7270 (i7 6600U, 16 Go de RAM, ...), Thinkstation E32 modifié: i5-4570, GTX 1060 6 Gb, 16 Gb de RAM, ...
Mon nouveau blog: nuliel.fr

Hors ligne

#21 Le 24/04/2022, à 09:52

eric63

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

suite à la proposition de Nuliel
j’ai purger  les python2 qui traînaient
et le paquet python to python2
et mis leur équivalent python 3
python-is-python3
python-dev-is-python3
2to3


Kubuntu 22.04 - 64 bits + backports beta kde gear 22.04.3 = plasma 5.24.90 KDE 5.95.0 Qt 5.15.3 et noyau 5.15.0-39  4x intel i5-4570 3.2Ghz 12Go nvidia GTX 1060 6GB
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR de chez LDLC c‘est fort

Hors ligne

#22 Le 24/04/2022, à 10:25

Nuliel

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

J'avais pas proposé de purger python2, mais juste faire pointer python vers python3 en installant python-is-python3!

ds4drv --hidraw --emulate-xboxdrv

donne quoi comme erreur maintenant?

Dernière modification par Nuliel (Le 24/04/2022, à 10:25)


[ poster un retour de commande ] [ poster une photo ]
Thinkpad x220, Dell latitude E7270 (i7 6600U, 16 Go de RAM, ...), Thinkstation E32 modifié: i5-4570, GTX 1060 6 Gb, 16 Gb de RAM, ...
Mon nouveau blog: nuliel.fr

Hors ligne

#23 Le 24/04/2022, à 11:15

eric63

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

machine rebootée

kubu@kubu:~$ ds4drv --hidraw --emulate-xboxdrv
/usr/lib/python3/dist-packages/pkg_resources/__init__.py:116: PkgResourcesDeprecationWarning: 1.16.0-unknown is an invalid version and will not be supported in a future release
  warnings.warn(
/usr/lib/python3/dist-packages/pkg_resources/__init__.py:116: PkgResourcesDeprecationWarning: 0.1.43ubuntu1 is an invalid version and will not be supported in a future release
  warnings.warn(
/usr/lib/python3/dist-packages/pkg_resources/__init__.py:116: PkgResourcesDeprecationWarning: 1.1build1 is an invalid version and will not be supported in a future release
  warnings.warn(
Traceback (most recent call last):
  File "/usr/local/bin/ds4drv", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3267, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3241, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3279, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 573, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 891, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 777, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'ds4drv==0.5.1' distribution was not found and is required by the application
kubu@kubu:~$ 

Kubuntu 22.04 - 64 bits + backports beta kde gear 22.04.3 = plasma 5.24.90 KDE 5.95.0 Qt 5.15.3 et noyau 5.15.0-39  4x intel i5-4570 3.2Ghz 12Go nvidia GTX 1060 6GB
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR de chez LDLC c‘est fort

Hors ligne

#24 Le 24/04/2022, à 12:08

Nuliel

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

effectivement, il est pas installé, tu peux passer

sudo pip3 install ds4drv

et redonner

ds4drv --hidraw --emulate-xboxdrv

D'ailleurs quel intérêt du paramètre --emulate-xboxdrv?


[ poster un retour de commande ] [ poster une photo ]
Thinkpad x220, Dell latitude E7270 (i7 6600U, 16 Go de RAM, ...), Thinkstation E32 modifié: i5-4570, GTX 1060 6 Gb, 16 Gb de RAM, ...
Mon nouveau blog: nuliel.fr

Hors ligne

#25 Le 24/04/2022, à 13:14

eric63

Re : [Contourné] Prise en compte de manette compatible PS4 nacon

kubu@kubu:~$ sudo pip3 install ds4drv
[sudo] Mot de passe de kubu : 
Collecting ds4drv
  Downloading ds4drv-0.5.1-py3-none-any.whl (36 kB)
Requirement already satisfied: pyudev>=0.16 in /usr/lib/python3/dist-packages (from ds4drv) (0.22.0)
Requirement already satisfied: evdev>=0.3.0 in /usr/lib/python3/dist-packages (from ds4drv) (1.4.0)
Installing collected packages: ds4drv
Successfully installed ds4drv-0.5.1
WARNING: Running pip as the 'root' user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv

j’ai du chopé le code dans la foulée des commandes
donc sans  --emulate-xboxdrv ça donne ça

kubu@kubu:~$ ds4drv --hidraw
[info][hidraw] Scanning for devices

il ne se passe rien de plus
ça a évolué depuis mais je ne sais pas trop pourquoi (j’ai manipulé la reconnaissance de la manette avec steam)

ds4drv --hidraw
[info][controller 1] Created devices /dev/input/js4 (joystick) /dev/input/event26 (evdev) 
[info][hidraw] Scanning for devices

Dernière modification par eric63 (Le 24/04/2022, à 17:31)


Kubuntu 22.04 - 64 bits + backports beta kde gear 22.04.3 = plasma 5.24.90 KDE 5.95.0 Qt 5.15.3 et noyau 5.15.0-39  4x intel i5-4570 3.2Ghz 12Go nvidia GTX 1060 6GB
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR de chez LDLC c‘est fort

Hors ligne